View Issue Details

IDProjectCategoryView StatusLast Update
0006034Talerexchangepublic2021-01-17 15:54
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritylowSeverityfeatureReproducibilityhave not tried
Status closedResolutionwon't fix 
Product Versiongit (master) 
Target Version0.8.1Fixed in Version0.8.1 
Summary0006034: Exchange should have separate configuration file
DescriptionAs discussed in a private e-mail, this has a bunch of advantages:

* It is easier to validate a configuration, as we can warn about unused sections and options in some sanity checking tool

* Having one file per component makes it easier to generate more complex setups for testing (i.e. two merchants, two auditors, maybe even two exchanges with different currencies)

* We have had configuration section "clashes" in the past, where the merchant parsed a section intended for the exchange, due to the same prefix. Separate files avoid this issue.
TagsNo tags attached.

Activities

Christian Grothoff

2020-12-20 20:29

manager   ~0017221

The current exchange has substantially fewer options, a LOT has moved into the database.
Many of the remaining options (like credentials for how to authenticate against the bank) are indeed very tool-specific and in high-security deployments should be in tool-specific files and not some 'global' configuration.

So overall, my feeling is that this bug was always questionable, but now it is even more so.

Florian: Can we just wontfix it?

Issue History

Date Modified Username Field Change
2020-01-07 19:17 Florian Dold New Issue
2020-01-07 19:17 Florian Dold Status new => assigned
2020-01-07 19:17 Florian Dold Assigned To => Christian Grothoff
2020-01-17 00:33 Christian Grothoff Target Version 0.7.0 => 0.9
2020-01-17 00:33 Christian Grothoff Assigned To Christian Grothoff =>
2020-01-17 00:33 Christian Grothoff Status assigned => acknowledged
2020-01-17 21:40 Christian Grothoff Priority normal => low
2020-03-28 22:20 Christian Grothoff Severity minor => feature
2020-07-24 12:07 Christian Grothoff Target Version 0.9 => 0.9.1
2020-12-20 20:29 Christian Grothoff Note Added: 0017221
2021-01-17 15:54 Christian Grothoff Assigned To => Christian Grothoff
2021-01-17 15:54 Christian Grothoff Status acknowledged => closed
2021-01-17 15:54 Christian Grothoff Resolution open => won't fix
2021-01-17 15:54 Christian Grothoff Fixed in Version => 0.8.1
2021-01-17 15:54 Christian Grothoff Target Version 0.9.1 => 0.8.1